## ros-noetic-semantic-point-annotator 0.2.0

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(semantic_point_annotator)

find_package(catkin REQUIRED COMPONENTS roscpp tf pcl_ros)

find_package(PkgConfig)

find_package(Boost REQUIRED)

add_definitions(${PC_EIGEN_CFLAGS_OTHER})

find_package( PCL REQUIRED )
add_definitions(${PCL_DEFINITIONS})

catkin_package(
    DEPENDS  #eigen
    CATKIN_DEPENDS roscpp tf pcl_ros
    INCLUDE_DIRS include
    LIBRARIES
)


add_executable(sac_inc_ground_removal_node src/sac_inc_ground_removal_standalone.cpp src/sac/sac.cpp src/sac/ransac.cpp src/sac/sac_model.cpp src/sac/sac_model_line.cpp)
include_directories(include/${PROJECT_NAME} ${Boost_INCLUDE_DIRS} ${PC_EIGEN_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS}  ${catkin_INCLUDE_DIRS})
target_link_libraries(sac_inc_ground_removal_node ${Boost_LIBRARIES} ${PCL_LIBRARIES} ${catkin_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS sac_inc_ground_removal_node
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-noetic-semantic-point-annotator (0.2.0-1focal) focal; urgency=high

  * fix build in noetic (#44 <https://github.com/pr2/pr2_navigation/issues/44>)
    I'm not claiming that any of these packages work as they should on
    noetic. Claiming they worked on kinetic might be a stretch.
  * updated CMakeLists.txt to fix CMake warnings and compile warnigns causing unstable build: (#38 <https://github.com/pr2/pr2_navigation/issues/38>)
    * removed eigen dependency from semantic_point_aggregator
    * added c++11 compile option to pr2_navigation_self_filter
    * updated maintainer
  * Contributors: David Feil-Seifer, Michael Görner

 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 17 May 2022 15:00:00 -0000

ros-noetic-semantic-point-annotator (0.1.28-1focal) focal; urgency=high

  * Merge pull request #36 <https://github.com/pr2/pr2_navigation/issues/36> from k-okada/fix_catkin_depends
    fixed CMake files for compile in kinetic
  * updated maintainer
  * fixed CMake files for compile in kinetic
  * Merge pull request #34 <https://github.com/pr2/pr2_navigation/issues/34> from PR2/pr-fix-catkin-includes
    fix typo in catkin_INCLUDE_DIRS
  * fix typo in catkin_INCLUDE_DIRS
    Fixes #33 <https://github.com/pr2/pr2_navigation/issues/33>
  * Merge pull request #25 <https://github.com/pr2/pr2_navigation/issues/25> from gheorghelisca/patch-1
    sac_inc_ground_removal_node instalation location fixed
  * sac_inc_ground_removal_node instalation location fixed
    sac_inc_ground_removal_node would be installed in "/opt/ros/indigo/bin/" directory and roslaunch couldn't find it.
    now sac_inc_ground_removal_node will go into "/opt/ros/indigo/bin/sac_inc_ground_removal_node" directory.
  * Contributors: David Feil-Seifer, Devon Ash, Gheorghe Lisca, Kei Okada, Michael Görner

 -- David Feil-Seifer <dave@cse.unr.edu>  Thu, 26 Apr 2018 15:00:00 -0000

ros-noetic-semantic-point-annotator (0.1.27-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Sun, 21 Jun 2015 15:00:00 -0000

ros-noetic-semantic-point-annotator (0.1.26-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Mon, 09 Feb 2015 15:00:00 -0000

ros-noetic-semantic-point-annotator (0.1.25-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Thu, 05 Feb 2015 15:00:00 -0000

ros-noetic-semantic-point-annotator (0.1.24-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Oct 2014 15:00:00 -0000

ros-noetic-semantic-point-annotator (0.1.23-1focal) focal; urgency=high

  * Updated maintainership
  * Removed unnecessary package fix
  * Contributors: TheDash

 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Oct 2014 15:00:00 -0000

ros-noetic-semantic-point-annotator (0.1.22-1focal) focal; urgency=high

  * Removed dependency on pcl
  * Contributors: TheDash

 -- David Feil-Seifer <dave@cse.unr.edu>  Sun, 07 Sep 2014 15:00:00 -0000

ros-noetic-semantic-point-annotator (0.1.21-1focal) focal; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 05 Sep 2014 15:00:00 -0000

ros-noetic-semantic-point-annotator (0.1.20-1focal) focal; urgency=high

  * 0.1.19
  * Added changelogs
  * 0.1.18
  * Generating changelogs; preparing for release
  * Contributors: TheDash

 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 05 Sep 2014 15:00:00 -0000

ros-noetic-semantic-point-annotator (0.1.19-1focal) focal; urgency=high

  * 0.1.18
  * Generating changelogs; preparing for release
  * Contributors: TheDash

 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 05 Sep 2014 15:00:00 -0000

ros-noetic-semantic-point-annotator (0.1.18-1focal) focal; urgency=high

  * catkinize packages
  * Add ignores.
  * Removing some launch files that we don't need anymore
  * Porting the ground removal stuff away from PointCloud to PointCloud2. Still needs testing though.
  * Remove deprecated API usage
  * eigen updates
  * port to eigen3 and remove deprecated use of message size
  * Unreal, the code actually depended on reading the parameters every cycle to work because it reset the value of z_threshold_ which got transformed to a different frame every cycle
  * Removing reading of parameters from the cloud callback
  * Changing in all three files instead of just one for empty cloud... this package is a mess... really should switch to new pcl stufff
  * Empty clouds are sometimes expected and should be passed on... not errored on and dropped
  * Copying pr2_navigation from staging area to stacks section of the repoistory
  * Contributors: Austin Hendrix, Brian Gerkey, Eitan Marder-Eppstein, Kei Okada, Ken Conley, Wim Meeussen, eitan

 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 05 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-semantic-point-annotator
Section: misc
Priority: optional
Maintainer: David Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-catkin, ros-noetic-pcl-ros, ros-noetic-roscpp, ros-noetic-tf
Homepage: http://pr.willowgarage.com
Standards-Version: 3.9.2

Package: ros-noetic-semantic-point-annotator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-noetic-pcl-ros, ros-noetic-roscpp, ros-noetic-tf
Description: A node which annotates 3D point cloud data with semantic labels.
